package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.LandmarkType;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.LandmarkTypeMapper")
public interface LandmarkTypeMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(LandmarkType record);

    LandmarkType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LandmarkType record);

    List<LandmarkType> queryAllLandmarkType(LandmarkType record);

    List<LandmarkType> queryAllLandmarkTypeAllArea(LandmarkType record);

    List<LandmarkType> queryLandmarkTypeByPage(Map<String, Object> parameter);

    int delete(LandmarkType record);

    LandmarkType queryLandmarkType(LandmarkType record);

    List<LandmarkType> query(LandmarkType record);
}

